<?php get_header(); ?>
<?php get_sidebar(); ?>

<div id="content">

<h1>Woilfu的个人网志</h1>
<div class="subtitle"><?php bloginfo('description'); ?></div>
<p></p>

<div style="width:99%; float:left;">

<?php if (have_posts()) : ?>

<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
<?php /* If this is a category archive */ if (is_category()) { ?>
<h2>分类 '<?php echo single_cat_title(); ?>'上的全部文档</h2>

<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
<h2><?php the_time(' Y年m月d日'); ?>的全部文档</h2>

 <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
<h2><?php the_time('Y年m月'); ?>的全部文档</h2>

<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
<h2><?php the_time('Y年'); ?>的全部文档</h2>

<?php /* If this is a search */ } elseif (is_search()) { ?>
<h2>搜索结果</h2>

<?php /* If this is an author archive */ } elseif (is_author()) { ?>
<h2>作者归档</h2>

<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
<h2>日志归档</h2>

<?php } ?>


<div><br />
<p class="subtitle"><?php next_posts_link('&laquo; 向前翻页') ?> - <?php previous_posts_link('向后翻页 &raquo;') ?></p><br />
</div>

<?php while (have_posts()) : the_post(); ?>

<div id="post-<?php the_ID(); ?>">

<div><?php the_time('Y-m-j') ?><!-- by <?php the_author() ?> --></div>

<div>
<img src="<?php bloginfo('stylesheet_directory'); ?>/images/stock_dnd_32.png" height="24" width="24" />
<a href="<?php the_permalink() ?>" rel="bookmark" title="链接至: <?php the_title(); ?>" class="h2">
<strong><?php the_title();?></strong><br />
</div>

<span class="subtitle">归类在: <?php the_category(', ') ?>, 时间: <?php the_time('H:i') ?>, 
<?php edit_post_link('编辑', '', ' | '); ?><img src="<?php bloginfo('stylesheet_directory'); ?>/images/stock_draw-callouts-16.png" />
<?php comments_popup_link(' 没有评论', ' 1篇评论 ', ' %篇评论');   ?><br/></span>

</div><br />

<?php endwhile; ?>

<div>
<p class="subtitle"><?php next_posts_link('&laquo; 向后翻页') ?> - <?php previous_posts_link('向前翻页 &raquo;') ?></p>
</div>

<?php else : ?>

<h2>没有找到</h2>
<?php include (TEMPLATEPATH . '/searchform.php'); ?>

<?php endif; ?>

</div>

</div>

<?php get_footer(); ?>
